Ellipsis APIReferenceDefault agents

List Agent Defaults

List the customer's default-config settings — the account default and any per-repository defaults. Defaults are addressed by rung: the account rung is repository omitted, a repo rung is "owner/name" — never by row id.

GET
/v1/defaults

List the customer's default-config settings — the account default and any per-repository defaults.

Defaults are addressed by rung: the account rung is repository omitted, a repo rung is "owner/name" — never by row id.

Authorization

HTTPBearer
AuthorizationBearer <token>

In: header

Header Parameters

user-agent?string|null

Response Body

application/json

application/json

curl -X GET "https://example.com/v1/defaults"
{  "defaults": [    {      "broken": "config_deleted",      "config_id": "string",      "config_name": "string",      "id": "string",      "repository": "string",      "updated_at": "2019-08-24T14:15:22Z"    }  ]}